#ifndef DEFINES_H
#define DEFINES_H


#define YDPORT PORTD
#define YDDDR DDRD
#define YDBIT 5

#define LPPORT PORTD
#define LPDDR DDRD
#define LPBIT 6

#define DMAENPORT PORTD
#define DMAENDDR DDRD
#define DMAENBIT 7

#define CHIP1PORT PORTD
#define CHIP1DDR DDRD
#define CHIP1BIT 3


// USB

#define URDPORT PORTD
#define URDDDR DDRD
#define URDBIT 1

#define UWRPORT PORTD
#define UWRDDR DDRD
#define UWRBIT 4

#define UTXEPORT PORTD
#define UTXEPIN PIND
#define UTXEDDR DDRD
#define UTXEBIT 2

#define URXFPORT PORTD
#define URXFPIN PIND
#define URXFDDR DDRD
#define URXFBIT 0

#define USBPORT PORTF
#define USBPIN PINF
#define USBDDR DDRF

// Encoder

#define EDATAPORT PORTE
#define EDATAPIN PINE
#define EDATADDR DDRE
#define EDATABIT 2

#define ECLKPORT PORTE
#define ECLKDDR DDRE
#define ECLKBIT 4

#define ECSPORT PORTE
#define ECSDDR DDRE
#define ECSBIT 6

// Keypad I/O ports

#define C1PORT PORTB
#define C1PIN PINB
#define C1DDR DDRB
#define C1BIT 3

#define C2PORT PORTB
#define C2PIN PINB
#define C2DDR DDRB
#define C2BIT 0

#define C3PORT PORTB
#define C3PIN PINB
#define C3DDR DDRB
#define C3BIT 5

#define R1PORT PORTB
#define R1PIN PINB
#define R1DDR DDRB
#define R1BIT 2

#define R2PORT PORTB
#define R2PIN PINB
#define R2DDR DDRB
#define R2BIT 7

#define R3PORT PORTB
#define R3PIN PINB
#define R3DDR DDRB
#define R3BIT 6

#define R4PORT PORTB
#define R4PIN PINB
#define R4DDR DDRB
#define R4BIT 4


// Stuff

#define setbit(x,y)(x|=(1<<y))
#define clrbit(x,y)(x&=~(1<<y))
#define cplbit(x,y)(x^=(1<<y))
#define getbit(x,y)((x&(1<<y)) ? 1:0)

#define delay_ms(delay) \
{ \
	uint16_t delay_ms_i; \
	for (delay_ms_i=0; delay_ms_i<delay; delay_ms_i++) \
		_delay_ms(1); \
} 

static inline uint8_t ReadExtRam(uint16_t addr)
{
/*
	if (addr&0x8000)
		setbit(CHIP1PORT,CHIP1BIT);
	else
		clrbit(CHIP1PORT,CHIP1BIT);
*/	
	return *((uint8_t *)(addr|0x8000));
}

static inline void WriteExtRam(uint16_t addr, uint8_t data)
{
/*
	if (addr&0x8000)
		setbit(CHIP1PORT,CHIP1BIT);
	else
		clrbit(CHIP1PORT,CHIP1BIT);
*/
	*((uint8_t *)(addr|0x8000)) = data;
}


#endif // DEFINES_H
