/*
    created with FontEditor written by H. Reddmann
    HaReddmann at t-online dot de

    File Name           : dig14x21.h
    Date                : 03.10.2009
    Font size in bytes  : 0x02FE, 766
    Font width          : 46
    Font height         : 21
    Font first char     : 0x20
    Font last char      : 0x3C
    Font bits per pixel : 1
    Font is compressed  : false

    The font data are defined as

    struct _FONT_ {
     // common shared fields
       uint16_t   font_Size_in_Bytes_over_all_included_Size_it_self;
       uint8_t    font_Width_in_Pixel_for_fixed_drawing;
       uint8_t    font_Height_in_Pixel_for_all_Characters;
       uint8_t    font_Bits_per_Pixels;
                    // if MSB are set then font is a compressed font
       uint8_t    font_First_Char;
       uint8_t    font_Last_Char;
       uint8_t    font_Char_Widths[font_Last_Char - font_First_Char +1];
                    // for each character the separate width in pixels,
                    // characters < 128 have an implicit virtual right empty row
                    // characters with font_Char_Widths[] == 0 are undefined

     // if compressed font then additional fields
       uint8_t    font_Byte_Padding;
                    // each Char in the table are aligned in size to this value
       uint8_t    font_RLE_Table[3];
                    // Run Length Encoding Table for compression
       uint8_t    font_Char_Size_in_Bytes[font_Last_Char - font_First_Char +1];
                    // for each char the size in (bytes / font_Byte_Padding) are stored,
                    // this get us the table to seek to the right beginning of each char
                    // in the font_data[].

     // for compressed and uncompressed fonts
       uint8_t    font_data[];
                    // bit field of all characters
    }
*/

#ifndef dig14x21_H
#define dig14x21_H

#include <inttypes.h>
#include <avr/pgmspace.h>

#define dig14x21_WIDTH 46
#define dig14x21_HEIGHT 21

uint8_t __ATTR_PROGMEM__ dig14x21[] = {
    0x02, 0xFE, 0x2E, 0x15, 0x01, 0x20, 0x3C,
    0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x09, 0x00, 0x09, 0x03, 0x0D, 
    0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x17, 0x17, 0x2D, 
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 
    0xFC, 0x00, 0xC0, 0x39, 0x00, 0x18, 0x06, 0x00, 0xC3, 0x00, 0xE0, 0x1C, 0x00, 0xF8, 0x01, 0x00, 
    0x1E, 0x00, 0x00, 0x0E, 0x00, 0xC0, 0x01, 0x00, 0x38, 0x00, 0xE0, 0x3F, 0x00, 0xFC, 0x07, 0x80, 
    0xFF, 0x00, 0x80, 0x03, 0x00, 0x70, 0x00, 0x00, 0x0E, 0x00, 0xC0, 0x01, 0x00, 0x38, 0x00, 0x00, 
    0x07, 0x00, 0xE0, 0x00, 0x00, 0x1C, 0x00, 0x80, 0x03, 0x00, 0x70, 0x00, 0x00, 0x0E, 0x00, 0xC0, 
    0x01, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x1C, 0x00, 0x80, 0x03, 0x00, 0x70, 0x00, 0x00, 0x0E, 0x00, 
    0xC0, 0x01, 0x00, 0x38, 0x00, 0x00, 0x07, 0x00, 0xE0, 0x00, 0x00, 0x1C, 0x00, 0x80, 0x03, 0x00, 
    0x70, 0x00, 0x00, 0x0E, 0x00, 0xC0, 0x01, 0x00, 0x38, 0x00, 0x00, 0x07, 0xFE, 0x03, 0xF8, 0xFF, 
    0xC3, 0xFF, 0xFF, 0xF9, 0x00, 0xBE, 0x07, 0x00, 0x7F, 0x00, 0xC0, 0x0F, 0x00, 0xF8, 0x01, 0x00, 
    0x3F, 0x00, 0xE0, 0x0F, 0x00, 0xDE, 0x07, 0xF0, 0xF9, 0xFF, 0x3F, 0xFC, 0xFF, 0x01, 0xFC, 0x07, 
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x00, 0xE0, 0x00, 0x00, 0x0E, 0x00, 0xE0, 0x00, 0x00, 
    0x0E, 0x00, 0xE0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x00, 0x00, 0x00, 0x00, 0x00, 0x1C, 0x00, 0xCE, 0x03, 0xE0, 0x3D, 0x00, 0xFE, 0x03, 0xE0, 0x3F, 
    0x00, 0xEE, 0x07, 0xE0, 0xFC, 0x00, 0x8E, 0x1F, 0xE0, 0xF0, 0x03, 0x0E, 0xFE, 0xE0, 0xC0, 0xFD, 
    0x0F, 0x38, 0xFF, 0x00, 0xC7, 0x0F, 0xE0, 0x00, 0x00, 0x00, 0x03, 0x30, 0x70, 0x00, 0x1E, 0x0F, 
    0xC0, 0xE7, 0x00, 0xF0, 0x0E, 0x00, 0xF8, 0x81, 0x01, 0x3F, 0x30, 0xE0, 0x07, 0x06, 0xFC, 0xC0, 
    0x80, 0x3B, 0x1C, 0x78, 0xFF, 0x87, 0xC7, 0xDF, 0xFF, 0xF0, 0xF1, 0x0F, 0x00, 0x7C, 0x00, 0xE0, 
    0x03, 0x00, 0x7E, 0x00, 0xE0, 0x0F, 0x00, 0xCE, 0x01, 0xE0, 0x38, 0x00, 0x0E, 0x07, 0xE0, 0xE0, 
    0x00, 0x0E, 0x1C, 0xE0, 0x80, 0x03, 0xFE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0x00, 0x38, 
    0x00, 0x00, 0x07, 0x00, 0x0E, 0x03, 0xFE, 0xE1, 0xF9, 0x3F, 0x7C, 0xFF, 0x07, 0xEF, 0x60, 0x80, 
    0x1F, 0x0E, 0xF0, 0xC3, 0x01, 0x7E, 0x38, 0xC0, 0x0F, 0x07, 0xF8, 0xE1, 0x80, 0x3F, 0x78, 0x78, 
    0x07, 0xFF, 0xE7, 0xC0, 0x7F, 0x00, 0xE0, 0x07, 0xE0, 0x7F, 0x00, 0xFF, 0x3F, 0xF8, 0xFF, 0x8F, 
    0x8F, 0xC3, 0x73, 0x38, 0x70, 0x07, 0x03, 0xFC, 0x70, 0x80, 0x1F, 0x0E, 0xF0, 0xC3, 0x01, 0x7E, 
    0x78, 0xE0, 0x1F, 0x1E, 0x9E, 0xC7, 0xFF, 0xE3, 0xF0, 0x3F, 0x18, 0xF8, 0xE1, 0x00, 0x00, 0x1C, 
    0x00, 0x80, 0x03, 0x00, 0x70, 0x00, 0xE0, 0x0F, 0xC0, 0xFF, 0x01, 0xFF, 0x3F, 0xF8, 0x0F, 0x87, 
    0x1F, 0xE0, 0x7C, 0x00, 0xDC, 0x03, 0x80, 0x1F, 0x00, 0xF0, 0x01, 0x00, 0x0E, 0x00, 0x00, 0x00, 
    0x00, 0x00, 0x00, 0x0F, 0x78, 0xF8, 0x87, 0x9F, 0xFF, 0xF9, 0x77, 0xBC, 0xC7, 0x03, 0x7F, 0x70, 
    0xC0, 0x0F, 0x0E, 0xF8, 0xC1, 0x01, 0x3F, 0x38, 0xE0, 0x8F, 0x0F, 0xDC, 0xBF, 0xC3, 0xF1, 0xF3, 
    0x3F, 0x3C, 0xFC, 0x03, 0x00, 0x1F, 0xE0, 0x07, 0x06, 0xFF, 0xC3, 0xF1, 0xFF, 0x78, 0x1E, 0x1E, 
    0xFE, 0x81, 0x87, 0x1F, 0xE0, 0xF0, 0x03, 0x1C, 0x7E, 0x80, 0xC3, 0x0F, 0x30, 0xB8, 0x03, 0x87, 
    0xF3, 0x70, 0x7C, 0xFC, 0xFF, 0x07, 0xFF, 0x3F, 0x80, 0xFF, 0x01, 0xC0, 0x0F, 0x00, 0xFE, 0x07, 
    0xE0, 0xFF, 0x01, 0x3C, 0x38, 0xC0, 0x03, 0x0E, 0x38, 0xC0, 0x01, 0x07, 0x38, 0xE0, 0x00, 0x07, 
    0x38, 0xF0, 0x00, 0x07, 0x0F, 0xC0, 0xFF, 0x00, 0xF0, 0x07, 0x00, 0xFF, 0x03, 0x70, 0xF0, 0x00, 
    0x0E, 0x3C, 0xE0, 0x00, 0x07, 0x1C, 0xE0, 0x80, 0x03, 0x1C, 0xF0, 0x80, 0x03, 0x3C, 0x38, 0x80, 
    0xFF, 0x07, 0xE0, 0x7F, 0x00, 0xF0, 0x03, 0xFC, 0xFF, 0xFF, 0xFF, 0xFF, 0x3F, 0x00, 0x80, 0xB7, 
    0x01, 0xF4, 0x36, 0x00, 0xDE, 0x06, 0xC0, 0xDB, 0x00, 0x7A, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 
    0xFF, 0x0F, 0x00, 0x00, 0x00, 0xFF, 0x03, 0xF0, 0xFF, 0x00, 0x06, 0x98, 0xC0, 0x7E, 0x1B, 0x98, 
    0x68, 0x03, 0x23, 0x7D, 0x60, 0xA8, 0x0F, 0x8C, 0xB4, 0x81, 0x89, 0x36, 0x30, 0xC0, 0x04, 0xFE, 
    0x1F, 0x80, 0xFF, 0x01, 0xF8, 0x00, 0x80, 0xE0, 0x0F, 0xD0, 0x01, 0x02, 0x2A, 0x5F, 0x40, 0xE5, 
    0x0B, 0xA8, 0x7C, 0x01, 0x1D, 0x20, 0x20, 0xF8, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 
    0x00, 0x80, 0x03, 0x00, 0xA8, 0x00, 0x00, 0x04, 0x00, 0x80, 0x00, 0x00, 0x10, 0x00, 0x00, 0x02, 
    0x00, 0x40, 0x00, 0x00, 0x2A, 0x00, 0x80, 0x03, 0x00, 0x20, 0x00, 0x00, 0x00, 0xF8, 0xFF, 0xFF, 
    0xFF, 0xFF, 0x7F, 0x00, 0x00, 0x6F, 0x03, 0xE8, 0x6D, 0x00, 0xBC, 0x0D, 0x80, 0xB7, 0x01, 0xF4, 
    0x00, 0x00, 0xFE, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 0x00, 0x00, 0x00, 0xFE, 0x07, 0xE0, 0xFF, 0x01, 
    0x0C, 0x30, 0x81, 0xFD, 0x36, 0x30, 0xD1, 0x06, 0x46, 0xFA, 0xC0, 0x50, 0x1F, 0x18, 0x69, 0x03, 
    0x13, 0x6D, 0x60, 0x80, 0x09, 0xFC, 0x3F, 0x00, 0xFF, 0x03
};

#endif

