#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/signal.h>
#include <avr/sleep.h>
#include <avr/pgmspace.h>
#include <string.h>
#include <util/delay.h>
#include <avr/eeprom.h>
#include <stdio.h>


#include "defines.h"
#include "encoder.h"

void EncoderInit(void)
{
	setbit(ECLKDDR, ECLKBIT);
	setbit(ECSDDR, ECSBIT);
	clrbit(EDATADDR, EDATABIT);

	setbit(ECLKPORT, ECLKBIT);
	setbit(ECSPORT, ECSBIT);
	setbit(EDATAPORT, EDATABIT);


}

uint16_t EncoderGetAngle1024(void)
{

	int i;
	uint16_t result = 0;

	clrbit(ECSPORT, ECSBIT);
	clrbit(ECSPORT, ECSBIT);
	clrbit(ECSPORT, ECSBIT);

	for (i=0; i<16; i++)
	{
		clrbit(ECLKPORT, ECLKBIT);
		clrbit(ECLKPORT, ECLKBIT);
		clrbit(ECLKPORT, ECLKBIT);
		setbit(ECLKPORT, ECLKBIT);
		setbit(ECLKPORT, ECLKBIT);
		setbit(ECLKPORT, ECLKBIT);

		if (i<10)
		{
			result <<= 1;
			result |= getbit(EDATAPIN, EDATABIT);
		}
	}
	
	setbit(ECSPORT, ECSBIT);

	return result;
}
