/*
    created with FontEditor written by H. Reddmann
    HaReddmann at t-online dot de

    File Name           : f8x8.h
    Date                : 16.10.2007
    Font size in bytes  : 0x054A, 1354
    Font width          : 27
    Font height         : 8
    Font first char     : 0x04
    Font last char      : 0xFF
    Font bits per pixel : 1
    Font is compressed  : false

    The font data are defined as

    struct _FONT_ {
     // common shared fields
       uint16_t   font_Size_in_Bytes_over_all_included_Size_it_self;
       uint8_t    font_Width_in_Pixel_for_fixed_drawing;
       uint8_t    font_Height_in_Pixel_for_all_Characters;
       uint8_t    font_Bits_per_Pixels;
                    // if MSB are set then font is a compressed font
       uint8_t    font_First_Char;
       uint8_t    font_Last_Char;
       uint8_t    font_Char_Widths[font_Last_Char - font_First_Char +1];
                    // for each character the separate width in pixels,
                    // characters < 128 have an implicit virtual right empty row
                    // characters with font_Char_Widths[] == 0 are undefined

     // if compressed font then additional fields
       uint8_t    font_Byte_Padding;
                    // each Char in the table are aligned in size to this value
       uint8_t    font_RLE_Table[3];
                    // Run Length Encoding Table for compression
       uint8_t    font_Char_Size_in_Bytes[font_Last_Char - font_First_Char +1];
                    // for each char the size in (bytes / font_Byte_Padding) are stored,
                    // this get us the table to seek to the right beginning of each char
                    // in the font_data[].

     // for compressed and uncompressed fonts
       uint8_t    font_data[];
                    // bit field of all characters
    }
*/

#ifndef f8x8_H
#define f8x8_H

#include <inttypes.h>
#include <avr/pgmspace.h>

#define f8x8_WIDTH 27
#define f8x8_HEIGHT 8

uint8_t __ATTR_PROGMEM__ f8x8[] = {
    0x05, 0x4A, 0x1B, 0x08, 0x01, 0x04, 0xFF,
    0x0B, 0x1A, 0x16, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0x06, 0x04, 0x06, 0x05, 0x05, 
    0x04, 0x04, 0x00, 0x00, 0x00, 0x00, 0x07, 0x07, 0x07, 0x07, 0x05, 0x00, 0x01, 0x01, 0x03, 0x05, 
    0x05, 0x05, 0x05, 0x01, 0x02, 0x02, 0x03, 0x05, 0x01, 0x03, 0x01, 0x03, 0x04, 0x04, 0x04, 0x04, 
    0x04, 0x04, 0x04, 0x04, 0x04, 0x04, 0x01, 0x01, 0x03, 0x03, 0x03, 0x04, 0x06, 0x06, 0x06, 0x06, 
    0x06, 0x05, 0x05, 0x06, 0x06, 0x01, 0x04, 0x05, 0x04, 0x07, 0x06, 0x06, 0x06, 0x06, 0x06, 0x05, 
    0x05, 0x05, 0x05, 0x07, 0x05, 0x05, 0x05, 0x02, 0x03, 0x02, 0x03, 0x03, 0x03, 0x04, 0x04, 0x04, 
    0x04, 0x04, 0x02, 0x04, 0x04, 0x01, 0x01, 0x04, 0x01, 0x07, 0x04, 0x05, 0x04, 0x04, 0x02, 0x04, 
    0x02, 0x04, 0x04, 0x05, 0x03, 0x03, 0x03, 0x03, 0x01, 0x03, 0x04, 0x00, 0x00, 0x00, 0x01, 0x00, 
    0x03, 0x05, 0x09, 0x05, 0x05, 0x09, 0x09, 0x09, 0x09, 0x09, 0x06, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
    0x0C, 0x0C, 0x0C, 0x0C, 0x00, 0x07, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 
    0x00, 0x04, 0x01, 0x00, 0x04, 0x06, 0x04, 0x00, 0x00, 0x00, 0x07, 0x03, 0x04, 0x03, 0x03, 0x01, 
    0x04, 0x05, 0x00, 0x00, 0x04, 0x00, 0x03, 0x00, 0x00, 0x00, 0x00, 0x03, 0x04, 0x04, 0x04, 0x04, 
    0x06, 0x04, 0x05, 0x04, 0x04, 0x04, 0x05, 0x05, 0x05, 0x04, 0x04, 0x04, 0x04, 0x04, 0x05, 0x04, 
    0x05, 0x05, 0x05, 0x04, 0x05, 0x06, 0x05, 0x06, 0x04, 0x04, 0x06, 0x04, 0x04, 0x04, 0x04, 0x03, 
    0x04, 0x04, 0x05, 0x03, 0x04, 0x04, 0x04, 0x04, 0x05, 0x04, 0x04, 0x04, 0x04, 0x04, 0x03, 0x04, 
    0x05, 0x04, 0x04, 0x04, 0x05, 0x06, 0x04, 0x05, 0x04, 0x04, 0x06, 0x04, 
    0xFF, 0xC7, 0xBB, 0xBB, 0xC7, 0xFF, 0x81, 0xEF, 0xD7, 0xBB, 0xFF, 0xFF, 0xC7, 0xBB, 0xBB, 0xFF, 
    0xDF, 0xAB, 0xAB, 0x87, 0xFF, 0x83, 0xF7, 0xFB, 0x87, 0xFF, 0xC7, 0xBB, 0xBB, 0xFF, 0xC7, 0xAB, 
    0xAB, 0xF7, 0xFF, 0x81, 0xFF, 0xFF, 0x83, 0xFB, 0x87, 0xFB, 0x87, 0xFF, 0xC7, 0xAB, 0xAB, 0xF7, 
    0xFF, 0x83, 0xFB, 0xFB, 0x87, 0xFF, 0xC3, 0xBF, 0xBF, 0x83, 0xFF, 0x41, 0x14, 0x08, 0x14, 0x41, 
    0x38, 0x44, 0x44, 0x38, 0x44, 0x44, 0x38, 0x60, 0x19, 0x14, 0x14, 0x19, 0x60, 0x21, 0x54, 0x54, 
    0x79, 0x38, 0x45, 0x44, 0x44, 0x45, 0x38, 0x38, 0x45, 0x44, 0x45, 0x38, 0x3C, 0x41, 0x40, 0x41, 
    0x3C, 0x3D, 0x40, 0x40, 0x7D, 0x7E, 0x05, 0x46, 0x38, 0xFE, 0x82, 0xC6, 0xC6, 0xEE, 0xEE, 0xFE, 
    0xFE, 0xEE, 0xEE, 0xC6, 0xC6, 0x82, 0xFE, 0xFE, 0xBE, 0x8E, 0x82, 0x8E, 0xBE, 0xFE, 0xFE, 0xFA, 
    0xE2, 0x82, 0xE2, 0xFA, 0xFE, 0x00, 0x7F, 0x3E, 0x1C, 0x08, 0x00, 0x5F, 0x06, 0x00, 0x06, 0x24, 
    0x7E, 0x24, 0x7E, 0x24, 0x26, 0x49, 0x7F, 0x49, 0x32, 0x0C, 0x6C, 0x18, 0x66, 0x60, 0x36, 0x49, 
    0x49, 0x36, 0x50, 0x0C, 0x3E, 0x41, 0x41, 0x3E, 0x34, 0x1E, 0x34, 0x08, 0x08, 0x3E, 0x08, 0x08, 
    0xC0, 0x10, 0x10, 0x10, 0x40, 0x60, 0x18, 0x06, 0x3E, 0x41, 0x41, 0x3E, 0x04, 0x02, 0x7F, 0x00, 
    0x62, 0x51, 0x49, 0x46, 0x22, 0x41, 0x49, 0x36, 0x18, 0x14, 0x12, 0x7F, 0x2F, 0x45, 0x45, 0x39, 
    0x3E, 0x49, 0x49, 0x32, 0x01, 0x71, 0x0D, 0x03, 0x36, 0x49, 0x49, 0x36, 0x26, 0x49, 0x49, 0x3E, 
    0x48, 0xC8, 0x10, 0x28, 0x44, 0x28, 0x28, 0x28, 0x44, 0x28, 0x10, 0x02, 0x51, 0x09, 0x06, 0x3C, 
    0x42, 0x5A, 0x5A, 0x24, 0x40, 0x60, 0x1C, 0x13, 0x13, 0x1C, 0x60, 0x7F, 0x49, 0x49, 0x49, 0x49, 
    0x36, 0x3E, 0x41, 0x41, 0x41, 0x41, 0x22, 0x7F, 0x41, 0x41, 0x41, 0x41, 0x3E, 0x7F, 0x49, 0x49, 
    0x49, 0x41, 0x7F, 0x09, 0x09, 0x09, 0x01, 0x3E, 0x41, 0x41, 0x49, 0x29, 0x7A, 0x7F, 0x08, 0x08, 
    0x08, 0x08, 0x7F, 0x7F, 0x30, 0x40, 0x40, 0x3F, 0x7F, 0x08, 0x14, 0x22, 0x41, 0x7F, 0x40, 0x40, 
    0x40, 0x7F, 0x03, 0x0C, 0x30, 0x0C, 0x03, 0x7F, 0x7F, 0x03, 0x0C, 0x30, 0x40, 0x7F, 0x3E, 0x41, 
    0x41, 0x41, 0x41, 0x3E, 0x7F, 0x09, 0x09, 0x09, 0x09, 0x06, 0x3E, 0x41, 0x41, 0x51, 0x61, 0xBE, 
    0x7F, 0x09, 0x09, 0x19, 0x29, 0x46, 0x26, 0x49, 0x49, 0x49, 0x32, 0x01, 0x01, 0x7F, 0x01, 0x01, 
    0x3F, 0x40, 0x40, 0x40, 0x3F, 0x03, 0x1C, 0x60, 0x1C, 0x03, 0x03, 0x1C, 0x60, 0x18, 0x60, 0x1C, 
    0x03, 0x63, 0x14, 0x08, 0x14, 0x63, 0x03, 0x04, 0x78, 0x04, 0x03, 0x61, 0x51, 0x49, 0x45, 0x43, 
    0x7F, 0x41, 0x06, 0x18, 0x60, 0x41, 0x7F, 0x04, 0x02, 0x04, 0x40, 0x40, 0x40, 0x00, 0x02, 0x04, 
    0x20, 0x54, 0x54, 0x78, 0x7F, 0x44, 0x44, 0x38, 0x38, 0x44, 0x44, 0x28, 0x38, 0x44, 0x44, 0x7F, 
    0x38, 0x54, 0x54, 0x18, 0x7E, 0x09, 0x98, 0xA4, 0xA4, 0x7C, 0x7F, 0x08, 0x04, 0x78, 0x7D, 0xFD, 
    0x7F, 0x18, 0x24, 0x40, 0x7F, 0x7C, 0x04, 0x04, 0x7C, 0x04, 0x04, 0x78, 0x7C, 0x04, 0x04, 0x78, 
    0x38, 0x44, 0x44, 0x44, 0x38, 0xFC, 0x24, 0x24, 0x18, 0x18, 0x24, 0x24, 0xFC, 0x7C, 0x04, 0x48, 
    0x54, 0x54, 0x24, 0x3E, 0x44, 0x3C, 0x40, 0x40, 0x7C, 0x1C, 0x60, 0x60, 0x1C, 0x1C, 0x60, 0x18, 
    0x60, 0x1C, 0x6C, 0x10, 0x6C, 0x9C, 0xA0, 0x7C, 0x64, 0x54, 0x4C, 0x08, 0x36, 0x41, 0x7F, 0x41, 
    0x36, 0x08, 0x04, 0x02, 0x04, 0x02, 0xC0, 0xC0, 0x00, 0xC0, 0x80, 0x00, 0x80, 0x00, 0x80, 0x7F, 
    0x7D, 0x79, 0x75, 0x41, 0x75, 0x79, 0x7D, 0x7F, 0x00, 0x1C, 0x1C, 0x3E, 0x7F, 0x3E, 0x55, 0x55, 
    0x41, 0x22, 0x7F, 0x41, 0x75, 0x75, 0x7F, 0x7B, 0x41, 0x7F, 0x7F, 0x7F, 0x41, 0x75, 0x75, 0x7F, 
    0x4D, 0x55, 0x5B, 0x7F, 0x7F, 0x41, 0x75, 0x75, 0x7F, 0x5D, 0x55, 0x6B, 0x7F, 0x7F, 0x41, 0x75, 
    0x75, 0x7F, 0x71, 0x77, 0x41, 0x7F, 0x7F, 0x41, 0x75, 0x75, 0x7F, 0x51, 0x55, 0x6D, 0x7F, 0xFF, 
    0x81, 0xF5, 0xF5, 0xFD, 0xFF, 0x7F, 0x41, 0x01, 0xE1, 0xC9, 0xAC, 0x1A, 0x49, 0x40, 0x7F, 0x22, 
    0x3E, 0x00, 0x3E, 0x3E, 0x3E, 0x3E, 0x3E, 0x3E, 0x3E, 0x3E, 0x00, 0x1C, 0x00, 0x7F, 0x41, 0x41, 
    0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x7F, 0x22, 0x3E, 0x7F, 0x7F, 0x7F, 0x41, 0x41, 0x41, 0x41, 
    0x41, 0x41, 0x7F, 0x22, 0x3E, 0x7F, 0x7F, 0x7F, 0x7F, 0x7F, 0x41, 0x41, 0x41, 0x41, 0x7F, 0x22, 
    0x3E, 0x7F, 0x7F, 0x7F, 0x7F, 0x7F, 0x7F, 0x7F, 0x41, 0x41, 0x7F, 0x22, 0x3E, 0x7F, 0x7F, 0x7F, 
    0x7F, 0x7F, 0x7F, 0x7F, 0x7F, 0x7F, 0x7F, 0x3E, 0x3E, 0x1C, 0x1C, 0x1C, 0x08, 0x0C, 0x1A, 0x2B, 
    0x6B, 0x68, 0x08, 0x1C, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x00, 0x01, 0x07, 0x01, 0x00, 0x07, 0x02, 0x07, 0x7F, 0x63, 0x5D, 0x5D, 0x63, 0x7F, 0x7F, 0x7F, 
    0x7B, 0x41, 0x7F, 0x7F, 0x7F, 0x5B, 0x4D, 0x55, 0x5B, 0x7F, 0x7F, 0x5D, 0x55, 0x55, 0x6B, 0x7F, 
    0x7F, 0x71, 0x77, 0x77, 0x41, 0x7F, 0x7F, 0x51, 0x55, 0x55, 0x65, 0x7F, 0x7F, 0x63, 0x55, 0x55, 
    0x6F, 0x7F, 0x7F, 0x7D, 0x7D, 0x45, 0x79, 0x7F, 0x7F, 0x6B, 0x55, 0x55, 0x6B, 0x7F, 0x7F, 0x7B, 
    0x55, 0x55, 0x63, 0x7F, 0x7E, 0x02, 0x02, 0x01, 0x77, 0x7E, 0x4B, 0x4A, 0x43, 0x3E, 0x41, 0x5D, 
    0x55, 0x41, 0x3E, 0x3E, 0x49, 0x49, 0x22, 0x3E, 0x41, 0x5D, 0x4D, 0x55, 0x41, 0x3E, 0x01, 0x7E, 
    0x01, 0x00, 0x04, 0x0A, 0x04, 0x24, 0x2E, 0x24, 0x41, 0x7F, 0x41, 0x7D, 0x7C, 0x04, 0x04, 0x02, 
    0x5C, 0x62, 0x02, 0x62, 0x5C, 0x38, 0x55, 0x55, 0x08, 0x38, 0x54, 0x44, 0x02, 0x78, 0x02, 0x7E, 
    0x11, 0x11, 0x7E, 0x7F, 0x49, 0x49, 0x31, 0x7F, 0x49, 0x49, 0x36, 0x7F, 0x01, 0x01, 0x01, 0xC0, 
    0x7E, 0x41, 0x41, 0x7E, 0xC0, 0x7F, 0x49, 0x49, 0x41, 0x77, 0x08, 0x7F, 0x08, 0x77, 0x22, 0x49, 
    0x49, 0x36, 0x7F, 0x10, 0x08, 0x7F, 0x7E, 0x10, 0x09, 0x7E, 0x7F, 0x08, 0x14, 0x22, 0x41, 0x40, 
    0x3F, 0x01, 0x01, 0x7F, 0x7F, 0x02, 0x04, 0x02, 0x7F, 0x7F, 0x08, 0x08, 0x7F, 0x3E, 0x41, 0x41, 
    0x3E, 0x7F, 0x01, 0x01, 0x7F, 0x7F, 0x09, 0x09, 0x06, 0x3E, 0x41, 0x41, 0x22, 0x01, 0x01, 0x7F, 
    0x01, 0x01, 0x27, 0x48, 0x48, 0x3F, 0x0E, 0x11, 0x7F, 0x11, 0x0E, 0x63, 0x14, 0x08, 0x14, 0x63, 
    0x7F, 0x40, 0x40, 0x7F, 0xC0, 0x07, 0x08, 0x08, 0x7F, 0x7F, 0x40, 0x7E, 0x40, 0x7F, 0x7F, 0x40, 
    0x7E, 0x40, 0x7F, 0xC0, 0x01, 0x7F, 0x48, 0x48, 0x30, 0x7F, 0x48, 0x48, 0x30, 0x00, 0x7F, 0x7F, 
    0x48, 0x48, 0x30, 0x22, 0x41, 0x49, 0x3E, 0x7F, 0x08, 0x3E, 0x41, 0x41, 0x3E, 0x4E, 0x31, 0x11, 
    0x7F, 0x20, 0x54, 0x54, 0x78, 0x3C, 0x4A, 0x4A, 0x31, 0x7C, 0x54, 0x54, 0x28, 0x7C, 0x04, 0x04, 
    0x38, 0x45, 0x45, 0x3E, 0x38, 0x54, 0x54, 0x18, 0x6C, 0x10, 0x7C, 0x10, 0x6C, 0x44, 0x54, 0x28, 
    0x7C, 0x20, 0x10, 0x7C, 0x7C, 0x21, 0x11, 0x7C, 0x7C, 0x10, 0x28, 0x44, 0x40, 0x3C, 0x04, 0x7C, 
    0x7C, 0x08, 0x10, 0x08, 0x7C, 0x7C, 0x10, 0x10, 0x7C, 0x38, 0x44, 0x44, 0x38, 0x7C, 0x04, 0x04, 
    0x7C, 0x7C, 0x14, 0x14, 0x08, 0x38, 0x44, 0x44, 0x28, 0x04, 0x7C, 0x04, 0x0C, 0x50, 0x50, 0x3C, 
    0x18, 0x24, 0x7C, 0x24, 0x18, 0x6C, 0x10, 0x10, 0x6C, 0x7C, 0x40, 0x7C, 0xC0, 0x0C, 0x10, 0x10, 
    0x7C, 0x7C, 0x40, 0x78, 0x40, 0x7C, 0x7C, 0x40, 0x78, 0x40, 0x7C, 0xC0, 0x04, 0x7C, 0x48, 0x30, 
    0x7C, 0x48, 0x30, 0x00, 0x7C, 0x7C, 0x48, 0x48, 0x30, 0x44, 0x54, 0x54, 0x38, 0x7C, 0x10, 0x38, 
    0x44, 0x44, 0x38, 0x48, 0x34, 0x14, 0x7C
};

#endif

