#ifndef GRAPHICS_H
#define GRAPHICS_H

extern uint8_t fgcolor, bkcolor;

static inline void SetColor(uint8_t color) { fgcolor=color; }
static inline void SetBkColor(uint8_t color) { bkcolor=color; }

void PutPixelColor (uint16_t x, uint16_t y, uint8_t color);
static inline void PutPixel (uint16_t x, uint16_t y, int8_t value) { PutPixelColor(x,y,value ? fgcolor : bkcolor); }
static inline void SetPixel (uint16_t x, uint16_t y) { PutPixelColor(x,y,fgcolor); }


void ClearScreen(void);

void DrawXLine(uint16_t x1, uint16_t x2, uint16_t y);
void DrawXLineDotted(uint16_t x1, uint16_t x2, uint16_t y);
void DrawYLine(uint16_t x, uint16_t y1, uint16_t y2);
void DrawYLineDotted(uint16_t x, uint16_t y1, uint16_t y2);

void Border(uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2);

void FillRect(uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2);


uint8_t* SetCurrentFont(uint8_t* new_font);
uint8_t* GetCurrentFont(void);

uint16_t PutChar(uint16_t x, uint16_t y, char c);
uint16_t PutText(uint16_t x, uint16_t y, const char* s);
uint16_t PutTextP(uint16_t x, uint16_t y, const char* s);
//uint16_t PutTextCenterP(uint16_t x, uint16_t y, const char* s);

void DrawLine(uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2);


#endif // GRAPHICS_H
