#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/signal.h>
#include <avr/sleep.h>
#include <avr/pgmspace.h>
#include <string.h>
#include <util/delay.h>
#include <avr/eeprom.h>
#include <stdio.h>

#include "defines.h"

#include "graphics.h"
#include "f8x8.h"
#include "f12x12.h"
#include "dig3x5.h"
#include "dig14x21.h"

#include "usb.h"
#include "encoder.h"
#include "keypad.h"

uint8_t row = 0;

SIGNAL (SIG_OVERFLOW3) 
{
	TCNT3 = 65535-1000;

setbit(DDRE,1);
setbit(PORTE,1);

//	setbit(DDRE,2);
//	setbit(PORTE,2);

//	uint8_t tmp = CHIP1PORT & (1<<CHIP1BIT);

	if (row==0)
	{
		clrbit(YDPORT,YDBIT);
		clrbit(YDPORT,YDBIT);

		clrbit(LPPORT,LPBIT);
		clrbit(LPPORT,LPBIT);	

		setbit(LPPORT,LPBIT);
		setbit(LPPORT,LPBIT);

		setbit(YDPORT,YDBIT);
		setbit(YDPORT,YDBIT);
	}
	else
	{
		clrbit(LPPORT,LPBIT);
		setbit(LPPORT,LPBIT);

	}

	row++;
	if (row==240)
		row = 0;

//	if (row&0x80)
//		setbit(CHIP1PORT,CHIP1BIT);
//	else
//		clrbit(CHIP1PORT,CHIP1BIT);

  clrbit(DMAENPORT,DMAENBIT);

  asm volatile
      ( "push r28\n" 
		"push r29\n"
        );


//#define OUT1 clrbit(DMAENPORT,DMAENBIT);setbit(DMAENPORT,DMAENBIT);

#define OUT1  asm volatile \
      ( "ld    r0, Y+" \
	        );


#define OUT10 OUT1 OUT1 OUT1 OUT1 OUT1 OUT1 OUT1 OUT1 OUT1 OUT1 

#define OUT60 OUT10 OUT10 OUT10 OUT10 OUT10 OUT10 

#define OUT120 OUT60 OUT60 
//#define OUT240 OUT120 OUT120 

  asm volatile
      ( "ldi r28, 0\n" 
		"lds r29, row\n"
		"clc\n"
		"ror r29\n"
		"ror r28\n"
		"ori r29, 128\n"
        );

		OUT120;


  asm volatile
      ( "pop r29\n" 
		"pop r28\n"
        );

	setbit(DMAENPORT,DMAENBIT);

//clrbit(PORTE,1);

//	if (tmp)
//		setbit(CHIP1PORT, CHIP1BIT);
//	else
//		clrbit(CHIP1PORT, CHIP1BIT);

	clrbit(PORTE,1);
}


int main(void)
{


	// Init ports

	DDRA = 0xFF;
	PORTA = 0x01;

	setbit(YDDDR,YDBIT);
	setbit(LPDDR,LPBIT);
	setbit(DMAENDDR,DMAENBIT);

	setbit(CHIP1DDR,CHIP1BIT);	

//	setbit(DDRG,1);

	setbit(YDPORT,YDBIT);
	setbit(LPPORT,LPBIT);
	setbit(DMAENPORT,DMAENBIT);

	setbit(CHIP1PORT,CHIP1BIT);	

//	clrbit(PORTG,1);

	// Enable ext. SRAM

	MCUCR |= (1<<SRE) /*| (1<<SRW10)*/; 
//	XMCRA = 2;
	XMCRB |= 1;
/*
	// Init RAM

	uint16_t i;
	char* p = 0x8000;


	for (i=0; i<32768; i++)
	{
		if (i<256)
			*p = 1;
		else
			*p = 0;
		p++;
	}
*/


	// USB

	UsbInit();

	// Encoder

	EncoderInit();

	// Keypad

	KeypadOn();


	// Setup timer

	TCNT3 = 0;

	TCCR3A = 0;
	TCCR3B = 0b00000001;
	TCCR3C = 0;

	ETIMSK |= 4;
	sei();


	uint16_t i;


	SetBkColor(1);
	SetColor(7);
	ClearScreen();


/*
	for (i=0; i<8; i++)
	{
		ClearScreen(i);
		delay_ms(200);
	}
*/


/*
	for (i=0; i<8; i++)
	{
		PutPixelColor(i,i,i);
	}
*/

/*
	for (i=0; i<240; i++)
	{
		PutPixelColor(i,i,7);
	}
*/
	

/*
	SetCurrentFont((uint8_t*)f8x8);

	SetColor(0);
	PutTextP(0,0,PSTR("Hello, world!"));
	SetColor(2);
	PutTextP(30,30,PSTR("   !!!"));

	SetColor(4);
	SetCurrentFont((uint8_t*)f12x12);
	PutTextP(60,60,PSTR("Hello, world!"));

	SetCurrentFont((uint8_t*)dig3x5);
	SetColor(7);
	PutTextP(40,40,PSTR("0123456789"));
/ *
	SetCurrentFont((uint8_t*)dig14x21);
	SetColor(7);
	PutTextP(100,100,PSTR("012345678901234567890123456789"));
	SetColor(6);
	PutTextP(100,140,PSTR("012345678901234567890123456789"));
	SetColor(4);
	PutTextP(100,180,PSTR("012345678901234567890123456789"));
*/
//	delay_ms(200);

//	UsbSendTextP(PSTR("Test Test Test"));

//	SetCurrentFont((uint8_t*)dig14x21);
//	SetCurrentFont((uint8_t*)f8x8);

//	PrintScreen();


	SetColor(7);
	SetCurrentFont((uint8_t*)f8x8);
	PutTextP(10,190,PSTR("RigExpert Rotor Controller"));


	SetColor(6);
	SetCurrentFont((uint8_t*)f12x12);
	PutTextP(155,15,PSTR("0"));
	PutTextP(240,95,PSTR("90"));
	PutTextP(150,180,PSTR("180"));
	PutTextP(65,95,PSTR("270"));


	uint16_t pos, old_pos=65535;


	for (i=0; i<8; i++)
	{
		SetColor(i);
		FillRect(i*40, 200, i*40+39, 239);
	}

	SetColor(7);



again:


	pos = EncoderGetAngle1024();

	char ss[40];
//	sprintf_P(ss, PSTR("Pos: %d        "),pos);

//	sprintf_P(ss, PSTR("Az: %d deg       "),(uint16_t)(pos*360.0/1024));
	sprintf_P(ss, PSTR("%d*      "),(uint16_t)(pos*360.0/1024));

	SetCurrentFont((uint8_t*)dig14x21);
	PutText(10,10,ss);

	SetCurrentFont((uint8_t*)f12x12);

	if (pos != old_pos)
	{

		int16_t dx = 70 * sin(old_pos*2.0*3.1415926/1024);
		int16_t dy = -70 * cos(old_pos*2.0*3.1415926/1024);

		SetColor(1);
		DrawLine(160,100,160+dx,100+dy);
		DrawLine(160+1,100,160+dx+1,100+dy);
		DrawLine(160-1,100,160+dx-1,100+dy);
		DrawLine(160,100+1,160+dx,100+dy+1);
		DrawLine(160,100-1,160+dx,100+dy-1);

		old_pos = pos;

		dx = 70 * sin(old_pos*2.0*3.1415926/1024);
		dy = -70 * cos(old_pos*2.0*3.1415926/1024);

		SetColor(7);
		DrawLine(160,100,160+dx,100+dy);
		DrawLine(160+1,100,160+dx+1,100+dy);
		DrawLine(160-1,100,160+dx-1,100+dy);
		DrawLine(160,100+1,160+dx,100+dy+1);
		DrawLine(160,100-1,160+dx,100+dy-1);

	}

	uint8_t code = GetKeyCode();

	if (code==KEY_NONE)
		sprintf_P(ss, PSTR("           "));
//		sprintf_P(ss, PSTR("No key        "));
	else
	{
		if (code<=KEY_9)
			code += '0';
		else
		if (code==KEY_STAR)
			code = '*';
		else
		if (code==KEY_SHARP)
		{
			code = '#';
//			PrintScreen();
		}
		else
			code = ' ';
		
			
//		sprintf_P(ss, PSTR("Key: %c        "), code);
		sprintf_P(ss, PSTR("%c"), code);

	}

	PutText(250,10,ss);

//	UsbSendTextP(PSTR("Test Test Test"));
//	delay_ms(20);


//	if (UsbIsByteReady())
//		UsbSendByte(UsbReceiveByte());

//		PutChar(0,100,UsbReceiveByte());


//	PutPixel(0,0,1);
//	WriteExtRam( 0, 32 );

/*
	clrbit(YDPORT,YDBIT);
	clrbit(YDPORT,YDBIT);

	clrbit(LPPORT,LPBIT);
	clrbit(LPPORT,LPBIT);	

	setbit(LPPORT,LPBIT);
	setbit(LPPORT,LPBIT);

	setbit(YDPORT,YDBIT);
	setbit(YDPORT,YDBIT);

	int i;
	for (i=0; i<243; i++)
	{

		PORTA = i;

		clrbit(LPPORT,LPBIT);

		setbit(LPPORT,LPBIT);


#define OUT1 clrbit(DMAENPORT,DMAENBIT);setbit(DMAENPORT,DMAENBIT);

#define OUT10 OUT1 OUT1 OUT1 OUT1 OUT1 OUT1 OUT1 OUT1 OUT1 OUT1 

#define OUT80 OUT10 OUT10 OUT10 OUT10 OUT10 OUT10 OUT10 OUT10 

#define OUT240 OUT80 OUT80 OUT80

		OUT240;
	}
*/
	goto again;


    return(0);
}

    